## mffm-fftw 1.4

=== Makefile ===
#Copyright 2001,2002 Matt Flax <flatmax@ieee.org>
#This file is part of the MFFM FFTw Wrapper library.
#
#MFFM MFFM FFTw Wrapper library is free software; you can 
#redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#MFFM FFTw Wrapper library is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You have received a copy of the GNU General Public License
#along with the MFFM FFTw Wrapper library

CC=g++ -O3
#CC=g++-3.0 -O3
#CC=g++-3.2 -O3
#CC=g++-3.0 -ggdb
#CC=g++ -O2
.cc.o:
	$(CC) -fPIC -c $<
.C.o:
	$(CC) -fPIC -c $<
#MAKELIB=$(CC) -Wl,-shared,-soname
MAKELIB=$(CC) -shared -Wl,-soname

#EXAMPLES= complexFFTExample real2DFFTExample realFFTExample
SRC= realFFT.cc realFFTData.cc complexFFT.cc
SRC2D= real2DFFT.cc
OBJ=$(SRC:.cc=.o)
OBJ2D=$(SRC2D:.cc=.o)

all: $(OBJ) \
	$(OBJ2D) \
	libs \
	docs \
	ex

docs:
	doxygen

libs:
	$(MAKELIB),libfft.so.0.1 -o libfft.so.0.1 $(OBJ)
	$(MAKELIB),lib2Dfft.so.0.1 -o lib2Dfft.so.0.1 $(OBJ2D)

ex:
#fftw V2
#	$(CC) *.o -lrfftw -lfftw complexFFTExample.cc -o complexFFTExample
#	$(CC) *.o -lrfftw -lfftw real2DFFTExample.cc -o real2DFFTExample
#	$(CC) *.o -lrfftw -lfftw realFFTExample.cc -o realFFTExample
#fftw V3
	$(CC) *.o -lfftw3 complexFFTExample.cc -o complexFFTExample
	$(CC) *.o -lfftw3 real2DFFTExample.cc -o real2DFFTExample
	$(CC) *.o -lfftw3 realFFTExample.cc -o realFFTExample

clean:
	rm -f $(EXAMPLES) *.o a.out *~ *.txt lib*.so.0.1 complexFFTExample realFFTExample real2DFFTExample

## mffm-fftw 1.6

=== Makefile ===
include ../Makefile.local
EXAMPLES= #complexFFTExample real2DFFTExample #rfftwExample realFFTExample envelopeExample
SRC= realFFT.cc realFFTData.cc complexFFT.cc #FFTBase.cc  envelope.cc pSCorr.cc
SRC2D= real2DFFT.cc
OBJ=$(SRC:.cc=.o)
OBJ2D=$(SRC2D:.cc=.o)

all: $(OBJ) \
	$(OBJ2D) \
	libs \
	ex

libs:
	$(MAKELIB),libfft.so.1 -o libfft.so.1 $(OBJ)
	$(MAKELIB),lib2Dfft.so.1 -o lib2Dfft.so.1 $(OBJ2D)

ex:
	$(CC) *.o -lfftw3 complexFFTExample.cc -o complexFFTExample
	$(CC)  *.o -lfftw3 realFFTExample.cc -o realFFTExample
	$(CC) *.o -lfftw3 real2DFFTExample.cc -o real2DFFTExample
#	$(CC) -lrfftw -lfftw rfftwExample.cc -o rfftwExample

clean:
	rm -f $(EXAMPLES) *.o a.out *~ audio.fft.txt *.txt lib*.so.0.1 realFFTExample complexFFTExample real2DFFTExample

## mffm-fftw 1.7

=== flatmax/personal/research.flatmax/fft/Makefile ===
#Copyright 2001,2002 Matt Flax <flatmax@ieee.org>
#This file is part of the MFFM FFTw Wrapper library.
#
#MFFM MFFM FFTw Wrapper library is free software; you can 
#redistribute it and/or modify
#it under the terms of the GNU General Public License as published by
#the Free Software Foundation; either version 2 of the License, or
#(at your option) any later version.
#
#MFFM FFTw Wrapper library is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You have received a copy of the GNU General Public License
#along with the MFFM FFTw Wrapper library

LIB     = $(DESTDIR)/usr/lib
INC     = $(DESTDIR)/usr/include/mffm
DOCS     = $(DESTDIR)/usr/share/doc/mffm-fftw-dev

CC=g++ -O3
.cc.o:
	$(CC) -fPIC -c $<
.C.o:
	$(CC) -fPIC -c $<
MAKELIB=$(CC) -shared -Wl,-soname
#EXAMPLES= complexFFTExample real2DFFTExample realFFTExample
SRC= realFFT.cc realFFTData.cc complexFFT.cc
SRC2D= real2DFFT.cc
OBJ=$(SRC:.cc=.o)
OBJ2D=$(SRC2D:.cc=.o)

all: $(OBJ) \
	$(OBJ2D) \
	libs \
	docs \
	ex

docs:
	doxygen

libs:
	$(MAKELIB),libfft.so.1 -o libfft.so.1 $(OBJ)
	$(MAKELIB),lib2Dfft.so.1 -o lib2Dfft.so.1 $(OBJ2D)

ex:
#fftw V2
#	$(CC) *.o -lrfftw -lfftw complexFFTExample.cc -o complexFFTExample
#	$(CC) *.o -lrfftw -lfftw real2DFFTExample.cc -o real2DFFTExample
#	$(CC) *.o -lrfftw -lfftw realFFTExample.cc -o realFFTExample
#fftw V3
#	$(CC) *.o -lfftw3 complexFFTExample.cc -o complexFFTExample
#	$(CC) *.o -lfftw3 real2DFFTExample.cc -o real2DFFTExample
#	$(CC) *.o -lfftw3 realFFTExample.cc -o realFFTExample

install: $(OBJ) \
	$(OBJ2D) \
	libs \
	docs
	install --directory $(LIB) $(INC) $(DOCS)/html $(DOCS)/examples
	install lib* $(LIB)
	install -m 644 *.H $(INC)
	install html/* $(DOCS)/html
	install -m 644 complexFFTExample.cc real2DFFTExample.cc realFFTExample.cc sine.1000Hz.dat $(DOCS)/examples

clean:
	rm -f $(EXAMPLES) *.o a.out *~ *.txt lib*.so.* complexFFTExample realFFTExample real2DFFTExample

=== debian/changelog ===
mffm-fftw (1.7-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #845593)
  * Switch to source format 3.0 (quilt).
  * Switch to debhelper compat level 10.  (Closes: #817581, #833199)
  * Switch to minimal dh rules.
  * Properly link against fftw3.  (Closes: #695605)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 17:02:42 +0100

mffm-fftw (1.7-3) unstable; urgency=low

  * New upstream release which fixes inverse transforms
  * Non-orphan (Closes: #474525)

 -- mffm Matt Flax (2003) <flatmax@ieee.org>  Mon, 26 Oct 2009 11:20:42 +1100

mffm-fftw (1.6-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #256732):
    - Change fftw3-dev to libfftw3-dev.

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 10 Aug 2008 16:13:54 -0500

mffm-fftw (1.6-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * QA group upload.
  * debian/control:
    - Setting the Maintainer to QA.

  [ Sandro Tosi ]
  * debian/rules
    - added removal of changed images (Closes: #424572)
    - does not ignore make clean errors anymore
  * debian/control
    - bump Standards-Version to 3.7.3
    - added Section: devel to source stanza
    - used ${binary:Version} for inter-binaries dependency

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 06 Apr 2008 12:01:31 +0200

mffm-fftw (1.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3, based on patch by Martin Michlmayr
    (Closes: #417429)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 22:07:15 +0100

mffm-fftw (1.6-1.1ubuntu2) hardy; urgency=low

  * Rebuild for fftw3 -> libfftw3 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 24 Dec 2007 14:30:06 +1100

mffm-fftw (1.6-1.1ubuntu1) hardy; urgency=low

  * Change fftw3-dev to libfftw3-dev.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 19 Dec 2007 22:17:15 +1100

mffm-fftw (1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make mffm-fftw1c2 conflict and replace mffm-fftw1.  Closes: #338537.

 -- Matej Vela <vela@debian.org>  Mon,  5 Jun 2006 17:53:41 +0200

mffm-fftw (1.6-1) unstable; urgency=low

  * new release

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Mon, 24 Oct 2005 09:36:05 +1000

mffm-fftw (1.5-2) unstable; urgency=low

  * Cxx transistion (closes: #333969)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sun, 23 Oct 2005 14:09:26 +1000

mffm-fftw (1.5-1) unstable; urgency=low

  * New upstream version

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Thu, 28 Apr 2005 23:53:19 +1000

mffm-fftw (1.4-1) unstable; urgency=low

  * Adjusted Makefile for debianization (closes: Bug#198010)

 -- Matt Flax <flatmax@ieee.org>  Tue,  5 Aug 2003 01:26:15 +1000

mffm-fftw (1.2-1) unstable; urgency=low

  * Initial Release.
  * Adjusted Makefile for debianization
  * Altered the include files in many *.H and *.cc files to accomodate old
    and new g++ versions.
  * Modification of the Doxygen config file and re-generated the html files too
    Upstream author notified and has altered their config file too.
        
 -- Matt Flax <flatmax@ieee.org>  Wed, 19 Mar 2003 23:32:54 +1100

=== debian/control ===
Source: mffm-fftw
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 libfftw3-dev,
 doxygen,
Standards-Version: 3.7.3

Package: mffm-fftw-dev
Architecture: any
Depends: ${misc:Depends}, mffm-fftw1 (= ${binary:Version}), libfftw3-dev
Description: C++ wrapper for the fftw.org C library (version 3)
 Developer files for the mffm.fftw library
 mffm.fftw provides a simple C++ application base which handles
 FFT data and application. Operations such as power spectrum 
 derivation and so on.

Package: mffm-fftw1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ wrapper for the fftw.org C library (version 3)
 mffm.fftw provides a simple C++ application base which handles
 FFT data and application. Operations such as power spectrum 
 derivation and so on.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --no-parallel
